Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.recipe.builders
Class ListFeedbackBuilder

    java.lang.Object
      be.ehealth.businessconnector.recipe.builders.ListFeedbackBuilder

Deprecated.

    @Deprecated
    public class ListFeedbackBuilder

extends Object

The Class ListFeedbackBuilder.

Constructor Summary
`ListFeedbackBuilder()` Deprecated.
`ListFeedbackBuilder(Crypto crypto)` Deprecated. Use it without crypto

Method Summary
`ListFeedbacksRequest` | `buildRequest(boolean readFlag)` Deprecated. Builds the request.
`ListFeedbacksResult` | `buildResult(ListFeedbacksResponse response)` Deprecated. Builds the result.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ListFeedbackBuilder

    @Deprecated
    public ListFeedbackBuilder(Crypto crypto)

  Deprecated. Use it without crypto

  Instantiates a new list feedback builder.

### ListFeedbackBuilder

    public ListFeedbackBuilder()

  Deprecated.

Method Detail

### buildRequest

    public ListFeedbacksRequest buildRequest(boolean readFlag)
                                      throws TechnicalConnectorException

  Deprecated.
  Builds the request.

  Parameters:
    `readFlag` - the read flag
  Returns:
    the list feedbacks request
  Throws:
    `TechnicalConnectorException` - the technical connector exception

### buildResult

    public ListFeedbacksResult buildResult(ListFeedbacksResponse response)
                                    throws TechnicalConnectorException,
                                           RecipeBusinessConnectorException

  Deprecated.
  Builds the result.

  Parameters:
    `response` - the response
  Returns:
    the list feedbacks result
  Throws:
    `TechnicalConnectorException`
    `RecipeBusinessConnectorException`
    `DataFormatException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPHYSICIAN 3.10.2 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.